Subject: bug#3599: 23.0.94; (elisp)Window Tree: Need to define root window

From: "Drew Adams" <[email-masked]>
Date: Thu, 18 Jun 2009 07:11:10 -0700

>  > "where ROOT represents the window tree of the frame's root window"
>  >
>  > So what is the "frame's root window" - what does that mean?
>  >
>  > Note too that "root window" means something about window manager
>  > windows, outside Emacs, so it is all the more important to explain
>  > this concept.
> 
> The term "root window" has been used internally for a long time and
> probably was exhibited here for lack of a better term.  
> `window-tree' is currently used only for balancing window sizes and
> I wasn't yet able to understand neither the subtleties of the code
> nor its documentation.
> 
> So suggestions welcome ...

I hope that's an appeal to someone else, who understands this stuff. ;-) I
don't.

If you, who are perhaps our best expert on window stuff (you have done most of
the work on it recently, for example), do not understand the subtleties of the
code or the doc, then think of us poor users who have a lot less understanding
than you of this stuff.

I truly hope that someone knowledgeable steps up to the plate and makes this
(both the code, with comments, and the doc) comprehensible. You and others are
maintaining and improving this code. It would be good for everyone, maintainers
and users alike, to have an idea what this is all about.